package com.steerinfo.ems.trmworkproc.service;

import com.steerinfo.ems.trmworkproc.mapper.TRmWorkprocMapper;
import com.steerinfo.ems.trmworkproc.model.TRmWorkproc;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * TRmWorkproc服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmWorkproc服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmWorkprocService extends IBaseService<TRmWorkproc, String>{

    List<TRmWorkproc> getTree(Map<String, Object> parameters);

    List<TRmWorkproc> getParent();

    List<TRmWorkprocMapper> getIdAndName(Map<String, Object> parameters);

    Integer getMaxSeqNo();
}